# Based on the Fedora .spec file for task 1.9.4
%define shortname task

Name:           taskwarrior
Version:        2.2.0
Release:        %mkrel 2
Summary:        A command-line to do list manager
Group:          Office/Organizer
License:        MIT
URL:            http://taskwarrior.org
Source0:        http://taskwarrior.org/download/%{shortname}-%{version}.tar.gz
BuildRequires:  cmake


%description
Task is a command-line to do list manager. It has support for GTD functionality
and includes the following features: tags, colorful tabular output, reports and
graphs, lots of manipulation commands, low-level API, abbreviations for all
commands and options, multi-user file locking, recurring tasks.

%prep
%setup -q -n %{shortname}-%{version}

%build
%cmake
make

%install
mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d
install -m 644 -T scripts/bash/task.sh %{buildroot}%{_sysconfdir}/bash_completion.d/task
cd build
make install DESTDIR=%{buildroot}
mv %{buildroot}%{_defaultdocdir}/%{shortname} %{buildroot}%{_defaultdocdir}/%{name}
rm %{buildroot}%{_defaultdocdir}/%{name}/INSTALL

%files
%doc %{_defaultdocdir}/%{name}/
%{_bindir}/task
%{_mandir}/man1/task.1.xz
%{_mandir}/man5/taskrc.5.xz
%{_mandir}/man5/task-tutorial.5.xz
%{_mandir}/man5/task-color.5.xz
%{_mandir}/man5/task-faq.5.xz
%{_mandir}/man5/task-sync.5.xz
%config(noreplace) %{_sysconfdir}/bash_completion.d



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.2.0-2.mga4
+ Revision: 528564
- Mageia 4 Mass Rebuild

* Sun Jun 23 2013 remmy <remmy> 2.2.0-1.mga4
+ Revision: 445991
- New upstream version

* Mon Jan 14 2013 umeabot <umeabot> 2.1.2-2.mga3
+ Revision: 384133
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 27 2012 remmy <remmy> 2.1.2-1.mga3
+ Revision: 298783
- New upstream version: 2.1.2
- Moved to RPM group Office/Organizer

* Sat Aug 11 2012 remmy <remmy> 2.1.1-1.mga3
+ Revision: 280526
- New upstream version: 2.1.1

* Sat Apr 21 2012 remmy <remmy> 2.0.0-1.mga2
+ Revision: 232205
- imported package taskwarrior


* Fri Mar 04 2011 Federico Hernandez <ultrafredde@gmail.com> - 1.9.4-1
  Intial RPM for task release 1.9.4
* Mon Nov 08 2010 Federico Hernandez <ultrafredde@gmail.com> - 1.9.3-1
  Intial RPM for task release 1.9.3
* Thu Jul 15 2010 Federico Hernandez <ultrafredde@gmail.com> - 1.9.2-2
  Wrong build config (Bugzilla 615034)
* Mon Jul 14 2010 Federico Hernandez <ultrafredde@gmail.com> - 1.9.2-1
  Intial RPM for task release 1.9.2
* Mon May 22 2010 Federico Hernandez <ultrafredde@gmail.com> - 1.9.1-1
  Intial RPM for task release 1.9.1
* Mon Feb 22 2010 Federico Hernandez <ultrafredde@gmail.com> - 1.9.0-1
  Intial RPM for task release 1.9.0
* Mon Feb 15 2010 Federico Hernandez <ultrafredde@gmail.com> - 1.9.0.beta3-1
  Intial RPM for task beta release 1.9.0.beta3
* Mon Feb 08 2010 Federico Hernandez <ultrafredde@gmail.com> - 1.9.0.beta2-1
  Intial RPM for task beta release 1.9.0.beta2
* Wed Feb 03 2010 Federico Hernandez <ultrafredde@gmail.com> - 1.9.0.beta1-1
  Intial RPM for task beta release 1.9.0.beta1
* Sat Dec 05 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.8.5-2
  Fixed wrong ChangeLog file
* Sat Dec 05 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.8.5-1
  Intial RPM for task bugfix release 1.8.5
* Tue Nov 17 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.8.4-1
  Intial RPM for task bugfix release 1.8.4
* Wed Oct 21 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.8.3-1
  Intial RPM for task bugfix release 1.8.3
* Mon Sep 07 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.8.2-1
  Intial RPM for task bugfix release 1.8.2
* Thu Aug 20 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.8.1-1
  Intial RPM for task bugfix release 1.8.1
* Tue Jul 21 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.8.0-1
  Intial RPM for task release 1.8.0
* Mon Jul 13 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.8.0.beta3-1
  Intial RPM for task beta release 1.8.0.beta3
* Wed Jul 08 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.8.0.beta2-1
  Intial RPM for task beta release 1.8.0.beta2
* Tue Jul 07 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.8.0.beta1-1
  Intial RPM for task beta release 1.8.0.beta1
* Tue Jun 08 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.7.1-2
  Fixed inclusion of manpages.
* Tue Jun 08 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.7.1-1
  Initial RPM for bugfix release 1.7.1.
  Updated references to new project homepage in spec file. 
* Tue May 19 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.7.0-2
  Changed license to GPLv2+ and removed Requires macro.
  See https://bugzilla.redhat.com/show_bug.cgi?id=501498
* Tue May 19 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.7.0-1
  Initial RPM.
